@import "../mixin";

.night-theme {
  /* note */
  .manager-note-detail, .stoker-note-detail {
    .title-input {
      background-color: rgba(15, 54, 80, 0.85);
      color: #d7d7d7;
      &:focus {
        border-color: rgba(0, 217, 175, 0.81);
      }
    }
    .tool-block {
      .cancel-btn, .back-btn {
        @include literal-div-btn(18, rgba(206, 206, 206, 0.86));
      }
      .submit-btn, .edit-btn {
        @include literal-div-btn(18, rgb(30, 191, 240), true);
      }
      .new-note-btn {
        @include literal-div-btn(18, rgba(231, 255, 105, 0.8));
      }
      // .back-btn {
      //   @include literal-div-btn(18, rgba(206, 206, 206, 0.86), true);
      // }
    }
    .note-date {
      color: rgb(0, 238, 196);
    }
    .note-title, .note-content {
      color: #e7e7e7;
      background-color: rgba(0, 17, 34, 0.5);
    }
  }

  .manager-note-list, .investor-note-list {
    .create-btn {
      @include literal-div-btn(18, rgba(231, 255, 105, 0.8), true);
    }
    .note-view-btn {
      background-color: #52637c;
      color: #77cef7;
    }
    .note-edit-btn {
      background-color: #52637c;
      color: #f79845;
    }
  }

  /* personal */
  .manager-personal-index, .investor-personal-index, .manager-user-detail {
    .step-block {
      background-color: rgba(4, 18, 42, 0.60);
      .image-block {
        .user-image-back-circle {
          background-image: linear-gradient(141deg, rgb(123, 212, 251) 0%, rgba(161, 255, 201, 0.8) 51%, #c8ff90 75%);
          .user-image {
            background-color: rgba(55, 171, 229, 0.35);
          }
        }
      }
      .step-list {
        .steps {
          .step-item {
            border-left: 2px solid #37abe5;
            color: #d3d3d3;
            .dot {
              background-color: #d7d7d7;
              box-shadow: 0 0 10px 0 rgba(8, 14, 88, 0.7);
            }
          }
        }
        .btn-block {
          .edit-btn, .update-psw-btn {
            @include literal-div-btn(18, #ff9900, true, #fff);
          }
          .update-btn {
            @include literal-div-btn(18, rgb(30, 191, 240), true);
          }
          .remove-account-btn {
            @include literal-div-btn(18, rgb(204, 34, 34), true, #fff);
          }
          .cancel-btn, .reset-psw-btn, .reset-remove-account-btn {
            @include literal-div-btn(18, rgba(206, 206, 206, 0.86));
          }
        }
      }
    }
    .form-block {
      background-color: rgba(28, 36, 52, 0.5);
      .role-block {
        .role-item {
          .manager-btn, .user-btn {
            background-color: #fff;
            color: #1e3c56;
          }
        }
        .role-item.checked {
          background-color: #cbac84;
        }
      }
    }
  }

  /* stock-data */
      /* company */
  .manager-stock-data-company {
    .content-block {
      .create-btn {
        @include literal-div-btn(18, rgba(231, 255, 105, 0.8), true);
      }
      .form-block {
        .cancel-btn, .back-btn {
          @include literal-div-btn(18, rgba(206, 206, 206, 0.86));
        }
        .submit-btn, .edit-btn {
          @include literal-div-btn(18, rgb(30, 191, 240), true);
        }
      }
    }
  }
      /* keyword */
  .manager-stock-data-keyword {
    .content-block {
      .tool-block {
        .new-keyword-input {
          background-color: rgba(28, 36, 52, 0.5);
          color: #d7d7d7;
          &:focus {
            border: 1.5px solid rgba(231, 255, 105, 0.8);
            border-right: 0;
          }
        }
        .add-new-keyword-btn {
          background: rgba(231, 255, 105, 0.8);
          color: #143a61;
        }
      }
      .company-keyword-list {
        background-color: rgba(28, 36, 52, 0.5);
        .keyword-item {
          .keyword-name, .remove-keyword {
            background: rgba(210, 183, 131, 0.69);
            color: #fff;
          }
        }
      }
    }
  }
      /* news */
  .manager-stock-data-news {
    .gray-background {
      background-color: rgba(255, 255, 255, 0.4);
    }
    .search-btn {
      background-color: #52637c;
      color: #77cef7;
    }
    .page-message {
      background: #272733;
      color: #d7d7d7;
    }
    .crawling-message {
      color: #ffa762;
    }
    .crawled-btn {
      background-color: #52637c;
      color: #f78841;
    }
    .classify-by-time-btn {
      background-color: #52637c;
      color: #0bb0ff;
    }
    .classify-btn {
      @include literal-div-btn(12, rgb(30, 191, 240), true);
    }
  }
      /* upload */
  .manager-stock-data-upload {
    .col-box {
      .upload-box {
        color: #d2b783;
        background-color: rgba(28, 36, 52, 0.5);
      }
      .file-list {
        .file-item-box {
          .file-item {
            background-color: rgba(4, 58, 90, 0.7);
            box-shadow: 0 0 5px 0 rgba(210, 183, 131, 0.71);
            .file-delete-btn {
              background-color: #ff6666;
              box-shadow: 0 0 5px 0 rgba(255, 124, 104, 0.5);
              &:hover {
                background-color: #ff4a3b;
              }
              &:active {
                background-color: #ff8888;
              }
            }
            .file-name {
              color: #00ecad;
            }
            .file-info {
              color: #d2b783;
            }
          }
        }
      }
      .btn-box {
        .clear-btn {
          @include literal-div-btn(18, rgba(206, 206, 206, 0.86));
        }
        .upload-btn {
          @include literal-div-btn(18, rgba(231, 255, 105, 0.8), true);
        }
      }
    }
  }
  /* user */

  .manager-user-list {
    .create-btn {
      @include literal-div-btn(18, rgba(231, 255, 105, 0.8), true);
    }
    .user-view-btn {
      background-color: #52637c;
      color: #77cef7;
    }
  }

  /* news */
  .investor-news {
    .search-btn {
      background-color: #52637c;
      color: #77cef7;
    }
    .page-message {
      color: #d7d7d7;
    }
    .crawling-message {
      color: #00C48D;
    }
    .crawled-btn {
      background-color: #52637c;
      color: #f78841;
    }
  }

  /* stock */
      /* index */
  .stoker-stock-index {
    height: 100%;
    .redirect-to-compare-btn {
      background-color: #2E495E;
      color: #ec9360;
    }
    .view-btn {
      background-color: #37abe5;
      color: #1e3c56;
    }
    .is-selected-btn {
      background-color: #00d49b;
      color: #243f24;
    }
  }

    /* code */
  .investor-stock-code {
    .content-block {
      .news-block {
        background-color: rgba(160, 160, 160, 0.3);
        .news-item {
          border: 1px solid #37abe5;
          background-color: #2E495E;
          color: #c0c0c0;
        }
      }
      .tags-block {
        background-color: rgba(160, 160, 160, 0.3);
        .tag-item {
          .tag-name, .remove-tag-btn {
            background-color: #67bbff;
            color: #2a3b57;
            font-weight: bolder;
          }
        }
      }
      .info-title {
        color: #67bbff;
        .new-tag-input {
          border: 1.5px solid rgba(149, 147, 152, 0.8);
          background-color: rgb(56, 66, 87);
          color: #d7d7d7;
          &:focus {
            border: 1.5px solid rgba(231, 255, 105, 0.8);
            border-right: 0;
          }
        }
        .add-new-tag-btn {
          border: 1.5px solid rgba(231, 255, 105, 0.8);
          background: rgba(231, 255, 105, 0.8);
          color: #143a61;
        }
      }
    }
  }
}
